This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 18431 - cbrowser freezes on save
cbrowser freezes on save
Status: CLOSED WONTFIX
Product: Source-Navigator
Classification: Retired
Component: cbrowser (Show other bugs)
4.5.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Syd Polk
Syd Polk
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-05 12:53 EDT by Need Real Name
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-16 15:13:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-10-05 12:53:34 EDT
If I write the following code


class DC
{
public:
	f(hey;		// sic

};

and try to save the file, source navigator seems to freeze indefinitely. 
If I send the cbrowser process a TERM, I get a "child died" message box
obviously and a message that it couldn't parse the file.  Then it saves it
properly; I just don't get the pretty colors (and I have to open a terminal
and kill the process).  The same thing happens if I try to open a file with
something like that in it.
However, this saves properly:

c lass DC
{
public:
	int f(hey;

};

Just letting you guys know.
Comment 1 Syd Polk 2001-03-23 17:30:15 EST
Source-Navigator is not on the Red Hat distribution currently, and there are no plans to officially resolve this bug.

Note You need to log in before you can comment on or make changes to this bug.